## openvswitch 2.9.0

=== debian/changelog ===
openvswitch (2.9.0-0ubuntu1) bionic; urgency=medium

  * d/rules: Enable parallel builds for dh_auto_build target.
  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Tue, 20 Feb 2018 18:11:14 +0000

openvswitch (2.9.0~git20180205.5a39582ca-0ubuntu1) bionic; urgency=medium

  * Snapshot from branch-2.9 (LP: #1735248, LP: #1686406, LP: #1709272):
    - d/p/dpif-kernel-gre-mtu-workaround.patch,
      d/p/dpif-netlink-rtnl-Use-65000-instead-of-65535-as-tunnel-MTU.patch,
      d/p/ovs-netdev-dpdk-17.11-upgrade.patch: Drop, included upstream.
  * d/control: Switch BD's to python{3}-all-dev to enable json native
    extensions (LP: #1672522).
  * d/control,rules,openvswitch-doc.*: Add documentation (LP: #965283).
  * Misc tidy of packaging:
    - d/*: wrap-and-sort -bast.
    - d/control: Priority optional->extra.
    - d/openvswitch-doc.doc-base: Update Section.
    - d/copyright: Pick machine formatted version from Debian
      (thanks Thomas).
    - d/control: Add missing depends on lsb-release.

 -- James Page <james.page@ubuntu.com>  Mon, 05 Feb 2018 17:12:07 +0000

openvswitch (2.8.1-0ubuntu3) bionic; urgency=medium

  * Updates to systemd configuration:
    - Move to distinct units for ovsdb-server and ovs-vswitchd.
  * Drop obsolete upstart configuration file.
  * Bump nofiles to 1048576 for ovs daemons (LP: #1737866).
  * d/control: Bump minimum debhelper version to 10, drop BD on
    dh-systemd.
  * d/p/dpif-kernel-gre-mtu-workaround.patch,
    d/p/dpif-netlink-rtnl-Use-65000-instead-of-65535-as-tunnel-MTU.patch:
    Cherry pick in-flight fixes for workaround to correctly set MTU
    of GRE devices via netlink (LP: #1742505).

 -- James Page <james.page@ubuntu.com>  Thu, 18 Jan 2018 15:26:41 +0200

openvswitch (2.8.1-0ubuntu2) bionic; urgency=medium

  * Adapt changes in DPDK 17.11 (LP: #1733325)
    - d/p/ovs-netdev-dpdk-17.11-upgrade.patch
    - d/rules: non x86 openvswitch-dpdk builds now need libnuma and pcap as
      build depends as well.
    - d/rules: dpdk dropped xen support, drop build dependency

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 20 Nov 2017 11:10:41 +0100

openvswitch (2.8.1-0ubuntu1) bionic; urgency=medium

  * New upstream point release (LP: #1724622).

 -- James Page <james.page@ubuntu.com>  Mon, 30 Oct 2017 10:01:32 +0000
