=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
 https://github.com/openvswitch/ovs/releases \
 (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
