## openvswitch 2.9.2

=== debian/changelog ===
openvswitch (2.9.2-0ubuntu0.18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: assertion failure when decoding a group mod
    - debian/patches/CVE-2018-17204.patch: don't assert-fail decoding bad
      OF1.5 group mod type or command in lib/ofp-util.c.
    - CVE-2018-17204
  * SECURITY UPDATE: assertion failure when adding flows
    - debian/patches/CVE-2018-17205.patch: fix OVS crash when reverting old
      flows in bundle commit in ofproto/ofproto.c.
    - CVE-2018-17205
  * SECURITY UPDATE: buffer overread during BUNDLE action decoding
    - debian/patches/CVE-2018-17206.patch: avoid overread in
      lib/ofp-actions.c.
    - CVE-2018-17206

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 25 Oct 2018 09:48:22 -0400

openvswitch (2.9.2-0ubuntu0.18.04.2) bionic; urgency=medium

  * d/p/ovs-compat.patch: Cherry pick fix for missing ovs.compat.*
    modules from upstream VCS, resolving issues with installed
    python{3}-openvswitch modules.
  * d/rules: Disable test 8 on arm64 only avoiding FTBFS on this
    architecure due to transient test failures.

 -- James Page <james.page@ubuntu.com>  Mon, 22 Oct 2018 15:48:38 -0600

openvswitch (2.9.2-0ubuntu0.18.04.1) bionic; urgency=medium

  * d/gbp.conf: Update for ubuntu/bionic branch.
  * New upstream point release (LP: #1780752):
    - d/py{3}dist-overrides: Ignore sortedcontainers dependency,
      using vendored copy instead.

 -- James Page <james.page@ubuntu.com>  Mon, 23 Jul 2018 11:51:58 +0100
