## openvswitch 2.9.5

=== debian/changelog ===
openvswitch (2.9.5-0ubuntu0.18.04.1) bionic; urgency=medium

  * New upstream point release (LP: #1854360).
    - d/p/*: Drop all patches, all upstream.

 -- James Page <james.page@ubuntu.com>  Thu, 28 Nov 2019 13:09:13 +0000
