## openvswitch 2.9.8

=== debian/changelog ===
openvswitch (2.9.8-0ubuntu0.18.04.5) bionic-security; urgency=medium

  * SECURITY UPDATE: remote traffic denial of service via crafted packets
    with IP proto 0
    - debian/patches/CVE-2023-1668.patch: Always mask ip proto field in
      include/openvswitch/meta-flow.h, lib/meta-flow.c,
      ofproto/ofproto-dpif-xlate.c, tests/ofproto-dpif.at,
      tests/packet-type-aware.at.
    - CVE-2023-1668

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 12 Apr 2023 15:03:23 -0400

openvswitch (2.9.8-0ubuntu0.18.04.4) bionic-security; urgency=medium

  * SECURITY UPDATE: issues in Organization Specific TLV
    - debian/patches/CVE-2022-433x.patch: fix bugs when parsing malformed
      AutoAttach in lib/lldp/lldp.c, tests/ofproto-dpif.at.
    - CVE-2022-4337
    - CVE-2022-4338

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 22 Feb 2023 08:56:54 -0500

openvswitch (2.9.8-0ubuntu0.18.04.3) bionic-security; urgency=medium

  * SECURITY UPDATE: heap buffer over-read
    - debian/patches/CVE-2022-32166.patch: avoid unsafe comparison of
      minimasks in lib/flow.c.
    - CVE-2022-32166

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 05 Oct 2022 11:18:00 -0400

openvswitch (2.9.8-0ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: packet parsing vulnerability
    - debian/patches/CVE-2020-35498.patch: support extra padding length in
      lib/conntrack.c, lib/dp-packet.h, lib/flow.c, tests/classifier.at.
    - CVE-2020-35498

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 28 Jan 2021 14:49:10 -0500

openvswitch (2.9.8-0ubuntu0.18.04.1) bionic; urgency=medium

  * d/openvswitch-switch{-dpdk}.prerm,postinst: Tidy case statements,
    only remove alternatives when package is being removed (LP: #1836713).
  * New upstream stable release (LP: #1912201):
    - debian/patches/CVE-2015-8011.patch,CVE-2020-27827.patch: Dropped,
      included in release.

 -- James Page <james.page@ubuntu.com>  Mon, 18 Jan 2021 14:43:01 +0000

openvswitch (2.9.7-0ubuntu0.18.04.2) bionic-security; urgency=medium

  * SECURITY UPDATE: buffer overflow decoding malformed packets in lldp
    - debian/patches/CVE-2015-8011.patch: check lengths in lib/lldp/lldp.c.
    - CVE-2015-8011
  * SECURITY UPDATE: Externally triggered memory leak in lldp
    - debian/patches/CVE-2020-27827.patch: properly free memory in
      lib/lldp/lldp.c.
    - CVE-2020-27827

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Fri, 08 Jan 2021 07:30:25 -0500

openvswitch (2.9.7-0ubuntu0.18.04.1) bionic; urgency=medium

  [ James Page ]
  * d/rules: Skip execution of dh_systemd_start for openvswitch-switch
    subunits avoiding multiple restarts during package configuration
    (LP: #1823295).
  * d/watch: Update for changes in upstream website.

  [ Corey Bryant ]
  * d/openvswitch-switch.ovs*.service: Update ovs-vswitchd and ovsdb-server
    systemd unit files to use the correct environment file and environment
    variable for ovs-ctl options, /etc/default/openvswitch-switch and
    OVS_CTL_OPTS, respectively (LP: #1906280).
  * New upstream point release (LP: #1881077).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 14 Dec 2020 15:57:45 -0500
