=== debian/watch ===
version=4
https://github.com/openvswitch/ovs/releases \
      (?:.*?/)?v(\d[\d.]*)\.tar\.gz debian uupdate
