## openvswitch 2.10.0

=== debian/changelog ===
openvswitch (2.10.0-0ubuntu3~cloud0) bionic-rocky; urgency=medium

  * Don't send comms to remote connections still establishing
    which protocol to use (LP: #1923668)
    - d/p/0001-connmgr-Fix-vswitchd-abort-when-a-port-is-modified.patch:
      check connection status of remote connection before processing
      asynchronous message.
    - d/p/0002-connmgr-Do-not-send-asynchronous-messages-to-rconns.patch:
      check if openflow protocol has been determined before processing
      asynchronous message.

 -- Billy Olsen <billy.olsen@canonical.com>  Sun, 18 Apr 2021 19:43:18 -0700

openvswitch (2.10.0-0ubuntu2~cloud0) bionic-rocky; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 30 Aug 2018 13:29:30 +0000

openvswitch (2.10.0-0ubuntu2) cosmic; urgency=medium

  * d/{openvswitch-switch,ovn-common}.install: Add missed scripts and
    binaries.
  * d/p/erspan-add-big-endian-bit-fields.patch,tests-Fix-hash-function-
    dependencies-in-tunnel-ERSPA.patch: Cherry pick upstream fixes for
    s390x issues (LP: #1788133).
  * d/rules: Don't skip any tests on s390x.

 -- James Page <james.page@ubuntu.com>  Wed, 22 Aug 2018 09:08:55 +0100

openvswitch (2.10.0-0ubuntu1) cosmic; urgency=medium

  * d/control: Add BD on python{3}-sortedcontainers.
  * d/watch: Update for upstream website changes.
  * New upstream release.
  * d/p/py3-compat.patch: Rebased on latest upstream review.
  * d/rules: Disable tests 805,810,814 on s390x.
  * d/rules: Rename SKIP_TEST -> TEST_LIST.
  * d/rules: Re-enable all tests on arm64/armhf.
  * d/control: Add libunbound-dev to BD's.

 -- James Page <james.page@ubuntu.com>  Tue, 21 Aug 2018 12:35:19 +0100

openvswitch (2.9.2-0ubuntu1) cosmic; urgency=medium

  * Switch openvswitch-* packages to use Python 3 (LP: #1735377):
    - d/p/py3-compat.patch: Misc py3 compat fixes for bug tools.
    - d/control: ${python:Depends} -> ${python3:Depends}.
  * New upstream release (LP: #1780752).
  * d/rules: Tidy test execution.
  * d/rules: Skip test 8 on arm64,armhf.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Jul 2018 11:40:26 +0100
