=== debian/control ===
--- 
+++ 
@@ -19,15 +19,18 @@
  libpcap-dev [amd64 i386 ppc64el arm64],
  libssl-dev,
  libtool,
+ libunbound-dev,
  openssl,
  pkg-config,
  procps,
  python-all-dev (>= 2.6.6-3~),
  python-setuptools,
  python-six,
+ python-sortedcontainers,
  python3-all-dev,
  python3-setuptools,
  python3-six,
+ python3-sortedcontainers,
  python3-sphinx,
 Standards-Version: 3.9.8
 Homepage: http://openvswitch.org/
@@ -39,10 +42,9 @@
 Architecture: linux-any
 Depends:
  openssl,
- python,
- python (>= 2.7),
- python-six,
- ${misc:Depends},
+ python3-six,
+ ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Suggests:
  ethtool,
@@ -128,10 +130,11 @@
  netbase,
  openvswitch-common (= ${binary:Version}),
  procps,
- python-argparse,
+ python3-netifaces,
+ python3-openvswitch (>= ${source:Version}),
  uuid-runtime,
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: Open vSwitch switch implementations
  Open vSwitch is a production quality, multilayer, software-based,
@@ -151,7 +154,7 @@
  dpdk,
  openvswitch-switch (= ${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Enhances:
  openvswitch-switch,
@@ -176,10 +179,9 @@
 Package: openvswitch-test
 Architecture: all
 Depends:
- python (>= 2.7) | python-argparse,
- python-twisted-web,
- ${misc:Depends},
- ${python:Depends},
+ python3-twisted,
+ ${misc:Depends},
+ ${python3:Depends},
 Description: Open vSwitch test package
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
@@ -215,9 +217,9 @@
  lsb-release,
  openvswitch-common (>= ${binary:Version}),
  openvswitch-switch (>= ${binary:Version}),
- python,
- python-openvswitch (>= ${source:Version}),
- ${misc:Depends},
+ python3-openvswitch (>= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: Open vSwitch VTEP utilities
  Open vSwitch is a production quality, multilayer, software-based, Ethernet
@@ -234,10 +236,10 @@
 Package: ovn-central
 Architecture: linux-any
 Depends:
+ lsb-release,
  openvswitch-common (= ${binary:Version}),
  openvswitch-switch (= ${binary:Version}),
  ovn-common (= ${binary:Version}),
- lsb-release,
  ${misc:Depends},
  ${shlibs:Depends},
 Description: OVN central components
@@ -284,10 +286,9 @@
  openvswitch-common (= ${binary:Version}),
  openvswitch-switch (= ${binary:Version}),
  ovn-common (= ${binary:Version}),
- python (>= 2.7),
- python-openvswitch (= ${source:Version}),
- ${misc:Depends},
- ${python:Depends},
+ python3-openvswitch (= ${source:Version}),
+ ${misc:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: OVN Docker drivers
  OVN, the Open Virtual Network, is a system to support virtual network
@@ -326,4 +327,3 @@
  Open vSwitch is a production quality, multilayer, software-based,
  Ethernet virtual switch. It is designed to enable massive network
  automation through programmatic extension, while still supporting
- standard management interfaces and protocols (e.g. NetFlow, IPFIX,
