=== debian/rules ===
--- 
+++ 
@@ -35,40 +35,27 @@
 endif
 
 
-# NOTE(jamespage): Don't skip any tests for the moment
-SKIP_TEST =
-SKIP_TEST_DPDK =
-# NOTE(jamespage):
-# 8: vsctl-bashcomp - argument completion sometimes fails
-# on arm64 - disable this test.
-ifneq (,$(filter arm64, $(DEB_HOST_ARCH)))
-SKIP_TEST = 1-7 9-
-SKIP_TEST_DPDK = 1-7 9-
-endif
+# NOTE(jamespage): by default, just run all tests
+TEST_LIST =
+TEST_LIST_DPDK =
 
 override_dh_auto_test:
-# NOTE(jamespage): skip tests on armhf until
-# https://bugs.launchpad.net/ubuntu/+source/openvswitch/+bug/1686406
-# is resolved
-#
-ifeq (,$(filter armhf,$(DEB_HOST_ARCH)))
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	if $(MAKE) -C _debian check TESTSUITEFLAGS='$(PARALLEL) $(SKIP_TEST)' || \
+	if $(MAKE) -C _debian check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST)' || \
                 $(MAKE) -C _debian check TESTSUITEFLAGS='--recheck'; then :; \
 	else \
 		cat _debian/tests/testsuite.log; \
 		exit 1; \
 	fi
 ifneq (,$(filter i386 amd64 ppc64el arm64, $(DEB_HOST_ARCH)))
-	if $(MAKE) -C _dpdk check TESTSUITEFLAGS='$(PARALLEL) $(SKIP_TEST_DPDK)' || \
+	if $(MAKE) -C _dpdk check TESTSUITEFLAGS='$(PARALLEL) $(TEST_LIST_DPDK)' || \
 				$(MAKE) -C _dpdk check TESTSUITEFLAGS='--recheck'; then :; \
 	else \
 		cat _dpdk/tests/testsuite.log; \
 		exit 1; \
 	fi
-endif # i386/amd64/arm64
+endif # i386/amd64/ppc64el/arm64
 endif # nocheck
-endif # armhf
 
 override_dh_auto_build:
 	$(MAKE) $(PARALLEL) -C _debian distdir=openvswitch
@@ -97,9 +84,12 @@
 	set -e && for pyvers in $(PYTHON3S); do \
         cd python && python$$pyvers setup.py install --install-layout=deb \
             --root $(CURDIR)/debian/python3-openvswitch; cd ..; \
+        mkdir -p $(CURDIR)/debian/openvswitch-test/usr/lib/python$$pyvers/dist-packages/ovstest; \
+        install -v -D python/ovstest/*.py \
+            $(CURDIR)/debian/openvswitch-test/usr/lib/python$$pyvers/dist-packages/ovstest; \
     done
 ifneq (,$(filter i386 amd64 ppc64el arm64, $(DEB_HOST_ARCH)))
-	install -D _dpdk/vswitchd/ovs-vswitchd \
+	install -v -D _dpdk/vswitchd/ovs-vswitchd \
         $(CURDIR)/debian/openvswitch-switch-dpdk/usr/lib/openvswitch-switch-dpdk/ovs-vswitchd-dpdk
 endif
 
@@ -109,7 +99,9 @@
 	dh_installinit -popenvswitch-switch --name=ovs-vswitchd --no-start
 
 override_dh_systemd_start:
-	dh_systemd_start --restart-after-upgrade -Xovs-vswitchd.service -Xovsdb-server.service
+	dh_systemd_start --restart-after-upgrade
+	dh_systemd_start -popenvswitch-switch --name=ovsdb-server --no-start
+	dh_systemd_start -popenvswitch-switch --name=ovs-vswitchd --no-start
 
 override_dh_strip:
 	dh_strip --dbg-package=openvswitch-dbg
